import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/t_h_applied_employee_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/t_h_applied_employee_entity.g.dart';

@JsonSerializable()
class THAppliedEmployeeEntity {
	int total = 0;
	List<THAppliedEmployeeRows> rows = [];

	THAppliedEmployeeEntity();

	factory THAppliedEmployeeEntity.fromJson(Map<String, dynamic> json) => $THAppliedEmployeeEntityFromJson(json);

	Map<String, dynamic> toJson() => $THAppliedEmployeeEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class THAppliedEmployeeRows {
	String? id;
	String? name;
	String? gender;
	String? mobile;
	String? nric;
	@JSONField(name: "profile_picture")
	String? profilePicture;
	int status = 0;
	@JSONField(name: "apply_state")
	int applyState = 0;

	bool isSelected = false;  //自定义属性

	THAppliedEmployeeRows();

	factory THAppliedEmployeeRows.fromJson(Map<String, dynamic> json) => $THAppliedEmployeeRowsFromJson(json);

	Map<String, dynamic> toJson() => $THAppliedEmployeeRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}